Linux v69820.1blu.de 4.15.0 #1 SMP Mon Sep 30 15:36:27 MSK 2024 x86_64
Apache/2.4.58
Server IP : 195.90.215.149 & Your IP : 216.73.216.250
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
etc /
rc6.d /
Delete
Unzip
Name
Size
Permission
Date
Action
K01apache-htcacheclean
2.43
KB
-rwxr-xr-x
2020-09-30 23:09
K01apache2
7.95
KB
-rwxr-xr-x
2023-01-18 10:54
K01docker
2.88
KB
-rwxr-xr-x
2024-02-06 21:12
K01exim4
4.26
KB
-rwxr-xr-x
2024-01-27 00:52
K01fetchmail
7.74
KB
-rwxr-xr-x
2021-06-24 16:47
K01hwclock.sh
1.71
KB
-rwxr-xr-x
2022-02-20 23:13
K01mariadb
8.26
KB
-rwxr-xr-x
2025-05-23 23:20
K01modules_dep.sh
674
B
-rwxr-xr-x
2021-05-05 00:37
K01mysql
8.26
KB
-rwxr-xr-x
2026-02-08 03:05
K01networking
4.42
KB
-rwxr-xr-x
2024-02-14 14:14
K01php7.4-fpm
4.19
KB
-rwxr-xr-x
2021-11-25 23:16
K01php8.1-fpm
4.19
KB
-rwxr-xr-x
2022-08-08 07:28
K01quota
951
B
-rwxr-xr-x
2018-06-04 07:06
K01quotarpc
1.1
KB
-rwxr-xr-x
2018-06-04 07:06
K01resolvconf
3.9
KB
-rwxr-xr-x
2020-01-03 17:32
K01saslauthd
10.35
KB
-rwxr-xr-x
2023-08-01 14:14
K01tor
5.93
KB
-rwxr-xr-x
2022-02-27 12:58
K01unattended-upgrades
1.36
KB
-rwxr-xr-x
2020-02-17 11:37
K01uuidd
1.28
KB
-rwxr-xr-x
2020-09-16 18:43
K01wide-dhcpv6-client
1.99
KB
-rwxr-xr-x
2016-10-26 14:20
K01xinetd
2.39
KB
-rwxr-xr-x
2018-02-05 18:31
Save
Rename
#!/bin/sh -e ### BEGIN INIT INFO # Provides: networking ifupdown # Required-Start: mountkernfs $local_fs urandom # Required-Stop: $local_fs # Default-Start: S # Default-Stop: 0 6 # Short-Description: Raise network interfaces. # Description: Prepare /run/network directory, ifstate file and raise network interfaces, or take them down. ### END INIT INFO PATH="/sbin:/bin:/usr/sbin:/usr/bin" RUN_DIR="/run/network" IFSTATE="$RUN_DIR/ifstate" STATEDIR="$RUN_DIR/state" [ -x "$(command -v ifup)" ] || exit 0 [ -x "$(command -v ifdown)" ] || exit 0 . /lib/lsb/init-functions CONFIGURE_INTERFACES=yes EXCLUDE_INTERFACES= VERBOSE=no [ -f /etc/default/networking ] && . /etc/default/networking verbose="" [ "$VERBOSE" = yes ] && verbose=-v process_exclusions() { set -- $EXCLUDE_INTERFACES exclusions="" for d do exclusions="-X $d $exclusions" done echo $exclusions } process_options() { [ -e /etc/network/options ] || return 0 log_warning_msg "/etc/network/options still exists and it will be IGNORED! Please use /etc/sysctl.conf instead." } check_ifstate() { if [ ! -d "$RUN_DIR" ] ; then if ! mkdir -p "$RUN_DIR" ; then log_failure_msg "can't create $RUN_DIR" exit 1 fi if ! chown root:netdev "$RUN_DIR" ; then log_warning_msg "can't chown $RUN_DIR" fi fi if [ ! -r "$IFSTATE" ] ; then if ! :> "$IFSTATE" ; then log_failure_msg "can't initialise $IFSTATE" exit 1 fi fi } check_network_file_systems() { [ -e /proc/mounts ] || return 0 if [ -e /etc/iscsi/iscsi.initramfs ]; then log_warning_msg "not deconfiguring network interfaces: iSCSI root is mounted." exit 0 fi while read DEV MTPT FSTYPE REST; do case $DEV in /dev/nbd*|/dev/nd[a-z]*|/dev/etherd/e*|curlftpfs*) log_warning_msg "not deconfiguring network interfaces: network devices still mounted." exit 0 ;; esac case $FSTYPE in nfs|nfs4|smbfs|ncp|ncpfs|cifs|coda|ocfs2|gfs|pvfs|pvfs2|fuse.httpfs|fuse.curlftpfs) log_warning_msg "not deconfiguring network interfaces: network file systems still mounted." exit 0 ;; esac done < /proc/mounts } check_network_swap() { [ -e /proc/swaps ] || return 0 while read DEV MTPT FSTYPE REST; do case $DEV in /dev/nbd*|/dev/nd[a-z]*|/dev/etherd/e*) log_warning_msg "not deconfiguring network interfaces: network swap still mounted." exit 0 ;; esac done < /proc/swaps } ifup_hotplug () { if [ -d /sys/class/net ] then ifaces=$(for iface in $(ifquery --list --allow=hotplug) do link=${iface%%:*} link=${link%%.*} if [ -e "/sys/class/net/$link" ] && ! ifquery --state "$iface" >/dev/null then echo "$iface" fi done) if [ -n "$ifaces" ] then ifup $ifaces "$@" || true fi fi } case "$1" in start) process_options check_ifstate if [ "$CONFIGURE_INTERFACES" = no ] then log_action_msg "Not configuring network interfaces, see /etc/default/networking" exit 0 fi set -f exclusions=$(process_exclusions) log_action_begin_msg "Configuring network interfaces" if [ -x "$(command -v udevadm)" ]; then if [ -n "$(ifquery --list --exclude=lo)" ] || [ -n "$(ifquery --list --allow=hotplug)" ]; then udevadm settle || true fi fi if ifup -a $exclusions $verbose && ifup_hotplug $exclusions $verbose then log_action_end_msg $? else log_action_end_msg $? fi ;; stop) check_network_file_systems check_network_swap log_action_begin_msg "Deconfiguring network interfaces" if ifdown -a --exclude=lo $verbose; then log_action_end_msg $? else log_action_end_msg $? fi ;; reload) process_options log_action_begin_msg "Reloading network interfaces configuration" state=$(ifquery --state) ifdown -a --exclude=lo $verbose || true if ifup --exclude=lo $state $verbose ; then log_action_end_msg $? else log_action_end_msg $? fi ;; force-reload|restart) process_options log_warning_msg "Running $0 $1 is deprecated because it may not re-enable some interfaces" log_action_begin_msg "Reconfiguring network interfaces" ifdown -a --exclude=lo $verbose || true set -f exclusions=$(process_exclusions) if ifup -a --exclude=lo $exclusions $verbose && ifup_hotplug $exclusions $verbose then log_action_end_msg $? else log_action_end_msg $? fi ;; *) echo "Usage: /etc/init.d/networking {start|stop|reload|restart|force-reload}" exit 1 ;; esac exit 0 # vim: noet ts=8